Bug 105061 - Conditional Formatting : Only one text box shown in case of "between" or "not between"
Summary: Conditional Formatting : Only one text box shown in case of "between" or "not...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-03 06:51 UTC by Kiyotaka Nishibori
Modified: 2017-01-19 09:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kiyotaka Nishibori 2017-01-03 06:51:04 UTC
Description:
Conditional Formatting: Necessary text boxes are not shown on "Condition Formatting" dialog when "between" or "not between" is selected as condition. 

Steps to Reproduce:
1. Open Calc.
2. Select any cells.
3. Click "Conditional formatting" button on tool bar or "Format" -> "Conditional Formatting" -> "Conditon..." on menu bar
4. Select 'between' or 'not between' from the drop-down list for conditions.


Actual Results:  
only a text box is shown.

Expected Results:
two text boxes are shown: one for max value and the other for minimum value.



Reproducible: Always

User Profile Reset: No

Additional Info:
Steps for Workaround:
5. Add new condition by clikking 'Add' button.
6. Back to the condition above, and two text boxes are shown.

About my LibreofficeDev:
Version: 5.3.0.1.0+
Build ID: 70b3dd697cb248fb56830db691269fe9e78c57fb
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: ja-JP (ja_JP.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Comment 1 Jacques Guilleron 2017-01-03 16:21:20 UTC
Hi Kiyotaka,

reproduced with 
LO 5.3.0.0.alpha1+ Build ID: bbd44f8f89839b5abb4ec6c7ea195431de5b2f48
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-26_23:19:45
Locale: fr-FR (fr_FR); Calc: CL
but not with:
LO 5.3.0.0.alpha0+ Build ID: a87a31602165cb2a37c32f5928e4f9daade7271d
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-29_04:18:44
Locale: fr-FR (fr_FR); Calc: group
under Windows 7 Home.

Thank you for the report.

Jacques
Comment 2 Julien Nabet 2017-01-03 22:25:40 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this log when opening conditional format dialog:
warn:sc:10451:1:sc/source/core/data/conditio.cxx:2107: ScConditionalFormatList: Entry not found
Comment 3 raal 2017-01-05 16:15:03 UTC
This seems to have begun at the below commit.
Adding Cc: to  Caolán McNamara; Could you possibly take a look at this one?
Thanks
 c966a2635d36a65587c41dd2036b1558d39219dd is the first bad commit
commit c966a2635d36a65587c41dd2036b1558d39219dd
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Oct 25 06:07:09 2016 -0700

    source sha:7549878fd63bb2792432865958874c644a948d45
   
author    Caolán McNamara <caolanm@redhat.com>    2016-10-24 14:44:56 (GMT)
committer    Caolán McNamara <caolanm@redhat.com>    2016-10-25 10:41:23 (GMT)
commit    7549878fd63bb2792432865958874c644a948d45 (patch)
tree    d0251ec815b7df4cba33f9c176a24c52488ef9fa
parent    b45fe99f16762c5d79ce67f6a04ee58fc7c14456 (diff)
convert conditional format src fragment to .ui and layout
Comment 4 Commit Notification 2017-01-06 16:20:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac561ab34ea9d26243fe3791f624c440dcf7ae6d

Resolves: tdf#105061 Only one text box shown in case of 'between'

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-06 16:33:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9341c166d6b2971e637ba9d17f7be68f5bb852f3&h=libreoffice-5-3

Resolves: tdf#105061 Only one text box shown in case of 'between'

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Kiyotaka Nishibori 2017-01-07 02:18:47 UTC
Hi all,

I built latest libreoffice-5-3 branch:
  Version: 5.3.0.1.0+
  Build ID: cb7ab49dde0ae21c472300f126cce4555a3e0ae5
  CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
  Locale: ja-JP (ja_JP.UTF-8); Calc: group

I confirmed that the issue was fixed in it.
Thank you all.